library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity tb_proc is
end tb_proc;

architecture beh of tb_proc is

component processore is
port ( rst,clk : in std_logic;
	addr: out integer range 0 to 65535;
	dout: out  std_logic_vector(31 downto 0);
	din: in  std_logic_vector(31 downto 0);
	memread,memwrite: out std_logic
	);
end component;

component memoria is
    port ( 
           addr: in integer range 0 to 65535;
            din: in std_logic_vector(31 downto 0);
            dout: out std_logic_vector(31 downto 0);
            memread, memwrite: in std_logic
        );

end component;

signal clk,rst,memread,memwrite: std_logic;
signal addr: integer range 0 to 65535;
signal dout, din: std_logic_vector(31 downto 0);

begin

dp: processore port map (rst,clk,addr,dout,din,memread,memwrite);
dm: memoria port map (addr,dout,din, memread,memwrite);

rst <= '1' after 0 ns, '0' after 10 ns;

process
begin 
 clk <= '0';
 wait for 10 ns;
 clk <= '1';
 wait for 10 ns;
end process; 
end beh; 	





